com.tibbo.aggregate.common.event

## Class PersistenceBinding

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.event.PersistenceBinding

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PersistenceBinding
      extends AggreGateBean
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.String>` | `CASSANDRA_TYPES`
    `static TableFormat` | `FORMAT`
    `static java.lang.String` | `TYPE_BOOLEAN`
    `static java.lang.String` | `TYPE_DOUBLE`
    `static java.lang.String` | `TYPE_FLOAT`
    `static java.lang.String` | `TYPE_INT`
    `static java.lang.String` | `TYPE_LONG`
    `static java.lang.String` | `TYPE_MATERIALIZED_BLOB`
    `static java.lang.String` | `TYPE_MATERIALIZED_CLOB`
    `static java.lang.String` | `TYPE_STRING`
    `static java.lang.String` | `TYPE_TIMESTAMP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceBinding()`
    `PersistenceBinding(DataRecord record)`
    `PersistenceBinding(java.lang.String name, java.lang.String type, java.lang.String index, java.lang.String expression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersistenceBinding` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `Expression` | `getCompiledExpression()`
    `java.lang.String` | `getExpression()`
    `java.lang.String` | `getIndex()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getType()`
    `int` | `hashCode()`
    `void` | `setExpression(java.lang.String expression)`
    `void` | `setIndex(java.lang.String index)`
    `void` | `setName(java.lang.String name)`
    `void` | `setType(java.lang.String type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_BOOLEAN

          public static final java.lang.String TYPE_BOOLEAN

      See Also:
        Constant Field Values

    - #### TYPE_STRING

          public static final java.lang.String TYPE_STRING

      See Also:
        Constant Field Values

    - #### TYPE_INT

          public static final java.lang.String TYPE_INT

      See Also:
        Constant Field Values

    - #### TYPE_LONG

          public static final java.lang.String TYPE_LONG

      See Also:
        Constant Field Values

    - #### TYPE_FLOAT

          public static final java.lang.String TYPE_FLOAT

      See Also:
        Constant Field Values

    - #### TYPE_DOUBLE

          public static final java.lang.String TYPE_DOUBLE

      See Also:
        Constant Field Values

    - #### TYPE_TIMESTAMP

          public static final java.lang.String TYPE_TIMESTAMP

      See Also:
        Constant Field Values

    - #### TYPE_MATERIALIZED_BLOB

          public static final java.lang.String TYPE_MATERIALIZED_BLOB

      See Also:
        Constant Field Values

    - #### TYPE_MATERIALIZED_CLOB

          public static final java.lang.String TYPE_MATERIALIZED_CLOB

      See Also:
        Constant Field Values

    - #### CASSANDRA_TYPES

          public static final java.util.Map<java.lang.String,java.lang.String> CASSANDRA_TYPES

    - #### FORMAT

          public static TableFormat FORMAT

  - ### Constructor Detail

    - #### PersistenceBinding

          public PersistenceBinding()

    - #### PersistenceBinding

          public PersistenceBinding(DataRecord record)

    - #### PersistenceBinding

          public PersistenceBinding(java.lang.String name,
                                    java.lang.String type,
                                    java.lang.String index,
                                    java.lang.String expression)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

    - #### getIndex

          public java.lang.String getIndex()

    - #### getName

          public java.lang.String getName()

    - #### getExpression

          public java.lang.String getExpression()

    - #### getCompiledExpression

          public Expression getCompiledExpression()

    - #### setName

          public void setName(java.lang.String name)

    - #### setType

          public void setType(java.lang.String type)

    - #### setIndex

          public void setIndex(java.lang.String index)

    - #### setExpression

          public void setExpression(java.lang.String expression)

    - #### clone

          public PersistenceBinding clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`